Main Page | Class List | File List | Class Members | File Members | Related Pages

# xenc__EncryptedDataType Struct Reference

"http://www.w3.org/2001/04/xmlenc#":EncryptedDataType is a complexType with complexContent extension of "http://www.w3.org/2001/04/xmlenc#":EncryptedType. More...

`#include <xenc.h>`

Collaboration diagram for xenc__EncryptedDataType:

[legend]
List of all members.

## Public Attributes
xenc__EncryptionMethodType * | EncryptionMethod
_ds__KeyInfo * | ds__KeyInfo
| Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo.
xenc__CipherDataType * | CipherData
| Element reference "http://www.w3.org/2001/04/xmlenc#":CipherData.
xenc__EncryptionPropertiesType * | EncryptionProperties
| Element reference "http://www.w3.org/2001/04/xmlenc#":EncryptionProperties.
char * | Id
| Attribute Id of type xs:ID.
char * | Type
| Attribute Type of type xs:anyURI.
char * | MimeType
| Attribute MimeType of type xs:string.
char * | Encoding
| Optional attribute.

## Detailed Description

"http://www.w3.org/2001/04/xmlenc#":EncryptedDataType is a complexType with complexContent extension of "http://www.w3.org/2001/04/xmlenc#":EncryptedType.

## Member Data Documentation

struct xenc__CipherDataType* xenc__EncryptedDataType::CipherData

| Element reference "http://www.w3.org/2001/04/xmlenc#":CipherData. Required element.

_ds__KeyInfo* xenc__EncryptedDataType::ds__KeyInfo

| Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo. Optional element.

char* xenc__EncryptedDataType::Encoding

| Optional attribute.

struct xenc__EncryptionMethodType* xenc__EncryptedDataType::EncryptionMethod

| Optional element.

struct xenc__EncryptionPropertiesType* xenc__EncryptedDataType::EncryptionProperties

| Element reference "http://www.w3.org/2001/04/xmlenc#":EncryptionProperties. Optional element.

char* xenc__EncryptedDataType::Id

| Attribute Id of type xs:ID. Optional attribute.

char* xenc__EncryptedDataType::MimeType

| Attribute MimeType of type xs:string. Optional attribute.

char* xenc__EncryptedDataType::Type

| Attribute Type of type xs:anyURI. Optional attribute.

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/xenc.h